PLplot: octave_swig_type Class Reference

PLplot 5.15.0

Classes | Public Types | Public Member Functions | Static Public Member Functions | Private Types | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
octave_swig_type Class Reference
Inheritance diagram for octave_swig_type:

## Classes
struct | cpp_ptr

## Public Types
typedef member_map::const_iterator | swig_member_const_iterator

## Public Member Functions
| octave_swig_type (void *_ptr=0, const swig_type_info *_type=0, int _own=0, bool _always_static=false)
| ~octave_swig_type ()
dim_vector | dims (void) const
octave_value | as_value ()
void | incref ()
void | decref ()
long | swig_this () const
const char * | help_text () const
std::string | swig_type_name () const
void | merge (octave_swig_type &rhs)
swig_member_const_iterator | swig_members_begin ()
swig_member_const_iterator | swig_members_end ()
int | cast (void **vptr, swig_type_info *type, int *_own, int flags)
bool | is_owned () const
void | assign (const std::string &name, const octave_value &ov)
void | assign (const std::string &name, const swig_octave_member *m)
octave_base_value * | clone () const
octave_base_value * | empty_clone () const
bool | is_defined () const
virtual bool | is_map () const
virtual octave_value | subsref (const std::string &ops, const std::list< octave_value_list > &idx)
virtual octave_value_list | subsref (const std::string &ops, const std::list< octave_value_list > &idx, int nargout)
octave_value | subsasgn (const std::string &ops, const std::list< octave_value_list > &idx, const octave_value &rhs)
virtual bool | is_object () const
virtual bool | is_string () const
virtual std::string | string_value (bool force=false) const
virtual double | scalar_value (bool frc_str_conv=false) const
virtual Octave_map | map_value () const
virtual string_vector | map_keys () const
virtual bool | save_ascii (std::ostream &os)
virtual bool | load_ascii (std::istream &is)
virtual bool | save_binary (std::ostream &os, bool &save_as_floats)
virtual bool | load_binary (std::istream &is, bool swap, oct_mach_info::float_format fmt)
virtual octave_value | convert_to_str (bool pad=false, bool force=false, char type='"') const
virtual octave_value | convert_to_str_internal (bool pad, bool force, char type) const
void | print (std::ostream &os, bool pr_as_read_syntax=false) const

## Static Public Member Functions
static bool | dispatch_global_op (const std::string &symbol, const octave_value_list &args, octave_value &ret)
static octave_value | dispatch_unary_op (const octave_base_value &x, const char *op_name)
static octave_value | dispatch_binary_op (const octave_base_value &lhs, const octave_base_value &rhs, const char *op_name)

## Private Types
typedef std::pair< const swig_type_info *, cpp_ptr > | type_ptr_pair
typedef std::pair< const swig_octave_member *, octave_value > | member_value_pair
typedef std::map< std::string, member_value_pair > | member_map

## Private Member Functions
const swig_octave_member * | find_member (const swig_type_info *type, const std::string &name)
member_value_pair * | find_member (const std::string &name, bool insert_if_not_found)
const swig_type_info * | find_base (const std::string &name, const swig_type_info *base)
void | load_members (const swig_octave_class *c, member_map &out) const
void | load_members (member_map &out) const
octave_value_list | member_invoke (member_value_pair *m, const octave_value_list &args, int nargout)
bool | dispatch_unary_op (const std::string &symbol, octave_value &ret) const
bool | dispatch_binary_op (const std::string &symbol, const octave_base_value &rhs, octave_value &ret) const
bool | dispatch_index_op (const std::string &symbol, const octave_value_list &rhs, octave_value_list &ret) const
octave_value_list | member_deref (member_value_pair *m, const octave_value_list &args)
| octave_swig_type (const octave_swig_type &x)
octave_swig_type & | operator= (const octave_swig_type &rhs)

## Static Private Member Functions
static octave_value | make_value_hack (const octave_base_value &x)

## Private Attributes
swig_module_info * | module
const swig_type_info * | construct_type
std::vector< type_ptr_pair > | types
int | own
member_map | members
bool | always_static

## Detailed Description

Definition at line 1089 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Typedef Documentation

## ◆ member_map

typedef std::map< std::string, member_value_pair > octave_swig_type::member_map
| private

Definition at line 1104 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ member_value_pair

typedef std::pair< const swig_octave_member *, octave_value > octave_swig_type::member_value_pair
| private

Definition at line 1103 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ swig_member_const_iterator

typedef member_map::const_iterator octave_swig_type::swig_member_const_iterator

Definition at line 1427 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ type_ptr_pair

typedef std::pair< const swig_type_info *, cpp_ptr > octave_swig_type::type_ptr_pair
| private

Definition at line 1095 of file plplot_octaveOCTAVE_wrap.cxx.

## Constructor & Destructor Documentation

## ◆ octave_swig_type() [1/2]

octave_swig_type::octave_swig_type | ( | const octave_swig_type & | x | ) |
| private

## ◆ octave_swig_type() [2/2]

octave_swig_type::octave_swig_type | ( | void * | _ptr = `0`,
|  | const swig_type_info * | _type = `0`,
|  | int | _own = `0`,
|  | bool | _always_static = `false`
| ) |  |
| inline

Definition at line 1279 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ ~octave_swig_type()

octave_swig_type::~octave_swig_type | ( |  | ) |
| inline

Definition at line 1294 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Function Documentation

## ◆ as_value()

octave_value octave_swig_type::as_value | ( |  | ) |
| inline

Definition at line 1363 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ assign() [1/2]

void octave_swig_type::assign | ( | const std::string & | name,
|  | const octave_value & | ov
| ) |  |
| inline

Definition at line 1485 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ assign() [2/2]

void octave_swig_type::assign | ( | const std::string & | name,
|  | const swig_octave_member * | m
| ) |  |
| inline

Definition at line 1489 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ cast()

int octave_swig_type::cast | ( | void ** | vptr,
|  | swig_type_info * | type,
|  | int * | _own,
|  | int | flags
| ) |  |
| inline

Definition at line 1431 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ clone()

octave_base_value* octave_swig_type::clone | ( |  | ) | const
| inline

Definition at line 1493 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ convert_to_str()

virtual octave_value octave_swig_type::convert_to_str | ( | bool | pad = `false`,
|  | bool | force = `false`,
|  | char | type = `'"'`
| ) |  | const
| inlinevirtual

Definition at line 1780 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ convert_to_str_internal()

virtual octave_value octave_swig_type::convert_to_str_internal | ( | bool | pad,
|  | bool | force,
|  | char | type
| ) |  | const
| inlinevirtual

Definition at line 1784 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ decref()

void octave_swig_type::decref | ( |  | ) |
| inline

Definition at line 1372 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ dims()

dim_vector octave_swig_type::dims | ( | void |  | ) | const
| inline

Definition at line 1312 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ dispatch_binary_op() [1/2]

bool octave_swig_type::dispatch_binary_op | ( | const std::string & | symbol,
|  | const octave_base_value & | rhs,
|  | octave_value & | ret
| ) |  | const
| inlineprivate

Definition at line 1224 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ dispatch_binary_op() [2/2]

static octave_value octave_swig_type::dispatch_binary_op | ( | const octave_base_value & | lhs,
|  | const octave_base_value & | rhs,
|  | const char * | op_name
| ) |  |
| inlinestatic

Definition at line 1823 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ dispatch_global_op()

static bool octave_swig_type::dispatch_global_op | ( | const std::string & | symbol,
|  | const octave_value_list & | args,
|  | octave_value & | ret
| ) |  |
| inlinestatic

Definition at line 1788 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ dispatch_index_op()

bool octave_swig_type::dispatch_index_op | ( | const std::string & | symbol,
|  | const octave_value_list & | rhs,
|  | octave_value_list & | ret
| ) |  | const
| inlineprivate

Definition at line 1239 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ dispatch_unary_op() [1/2]

bool octave_swig_type::dispatch_unary_op | ( | const std::string & | symbol,
|  | octave_value & | ret
| ) |  | const
| inlineprivate

Definition at line 1210 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ dispatch_unary_op() [2/2]

static octave_value octave_swig_type::dispatch_unary_op | ( | const octave_base_value & | x,
|  | const char * | op_name
| ) |  |
| inlinestatic

Definition at line 1806 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ empty_clone()

octave_base_value* octave_swig_type::empty_clone | ( |  | ) | const
| inline

Definition at line 1501 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ find_base()

const swig_type_info* octave_swig_type::find_base | ( | const std::string & | name,
|  | const swig_type_info * | base
| ) |  |
| inlineprivate

Definition at line 1144 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ find_member() [1/2]

const swig_octave_member* octave_swig_type::find_member | ( | const swig_type_info * | type,
|  | const std::string & | name
| ) |  |
| inlineprivate

Definition at line 1108 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ find_member() [2/2]

member_value_pair* octave_swig_type::find_member | ( | const std::string & | name,
|  | bool | insert_if_not_found
| ) |  |
| inlineprivate

Definition at line 1131 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ help_text()

const char* octave_swig_type::help_text | ( |  | ) | const
| inline

Definition at line 1382 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ incref()

void octave_swig_type::incref | ( |  | ) |
| inline

Definition at line 1368 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ is_defined()

bool octave_swig_type::is_defined | ( |  | ) | const
| inline

Definition at line 1505 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ is_map()

virtual bool octave_swig_type::is_map | ( |  | ) | const
| inlinevirtual

Definition at line 1509 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ is_object()

virtual bool octave_swig_type::is_object | ( |  | ) | const
| inlinevirtual

Definition at line 1657 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ is_owned()

bool octave_swig_type::is_owned | ( |  | ) | const
| inline

Definition at line 1467 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ is_string()

virtual bool octave_swig_type::is_string | ( |  | ) | const
| inlinevirtual

Definition at line 1661 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ load_ascii()

virtual bool octave_swig_type::load_ascii | ( | std::istream & | is | ) |
| inlinevirtual

Definition at line 1743 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ load_binary()

virtual bool octave_swig_type::load_binary | ( | std::istream & | is,
|  | bool | swap,
|  | oct_mach_info::float_format | fmt
| ) |  |
| inlinevirtual

Definition at line 1751 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ load_members() [1/2]

void octave_swig_type::load_members | ( | const swig_octave_class * | c,
|  | member_map & | out
| ) |  | const
| inlineprivate

Definition at line 1173 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ load_members() [2/2]

void octave_swig_type::load_members | ( | member_map & | out | ) | const
| inlineprivate

Definition at line 1194 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ make_value_hack()

static octave_value octave_swig_type::make_value_hack | ( | const octave_base_value & | x | ) |
| inlinestaticprivate

Definition at line 1270 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ map_keys()

virtual string_vector octave_swig_type::map_keys | ( |  | ) | const
| inlinevirtual

Definition at line 1727 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ map_value()

virtual Octave_map octave_swig_type::map_value | ( |  | ) | const
| inlinevirtual

Definition at line 1722 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ member_deref()

octave_value_list octave_swig_type::member_deref | ( | member_value_pair * | m,
|  | const octave_value_list & | args
| ) |  |
| inlineprivate

Definition at line 1253 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ member_invoke()

octave_value_list octave_swig_type::member_invoke | ( | member_value_pair * | m,
|  | const octave_value_list & | args,
|  | int | nargout
| ) |  |
| inlineprivate

Definition at line 1201 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ merge()

void octave_swig_type::merge | ( | octave_swig_type & | rhs | ) |
| inline

Definition at line 1407 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ operator=()

octave_swig_type& octave_swig_type::operator= | ( | const octave_swig_type & | rhs | ) |
| private

## ◆ print()

void octave_swig_type::print | ( | std::ostream & | os,
|  | bool | pr_as_read_syntax = `false`
| ) |  | const
| inline

Definition at line 1880 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ save_ascii()

virtual bool octave_swig_type::save_ascii | ( | std::ostream & | os | ) |
| inlinevirtual

Definition at line 1739 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ save_binary()

virtual bool octave_swig_type::save_binary | ( | std::ostream & | os,
|  | bool & | save_as_floats
| ) |  |
| inlinevirtual

Definition at line 1747 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ scalar_value()

virtual double octave_swig_type::scalar_value | ( | bool | frc_str_conv = `false` | ) | const
| inlinevirtual

Definition at line 1679 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ string_value()

virtual std::string octave_swig_type::string_value | ( | bool | force = `false` | ) | const
| inlinevirtual

Definition at line 1666 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ subsasgn()

octave_value octave_swig_type::subsasgn | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx,
|  | const octave_value & | rhs
| ) |  |
| inline

Definition at line 1605 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ subsref() [1/2]

virtual octave_value octave_swig_type::subsref | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx
| ) |  |
| inlinevirtual

Definition at line 1513 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ subsref() [2/2]

virtual octave_value_list octave_swig_type::subsref | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx,
|  | int | nargout
| ) |  |
| inlinevirtual

Definition at line 1518 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ swig_members_begin()

swig_member_const_iterator octave_swig_type::swig_members_begin | ( |  | ) |
| inline

Definition at line 1428 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ swig_members_end()

swig_member_const_iterator octave_swig_type::swig_members_end | ( |  | ) |
| inline

Definition at line 1429 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ swig_this()

long octave_swig_type::swig_this | ( |  | ) | const
| inline

Definition at line 1377 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ swig_type_name()

std::string octave_swig_type::swig_type_name | ( |  | ) | const
| inline

Definition at line 1391 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Data Documentation

## ◆ always_static

bool octave_swig_type::always_static
| private

Definition at line 1106 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ construct_type

const swig_type_info* octave_swig_type::construct_type
| private

Definition at line 1099 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ members

member_map octave_swig_type::members
| private

Definition at line 1105 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ module

swig_module_info* octave_swig_type::module
| mutableprivate

Definition at line 1097 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ own

int octave_swig_type::own
| private

Definition at line 1101 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ types

std::vector< type_ptr_pair > octave_swig_type::types
| private

Definition at line 1100 of file plplot_octaveOCTAVE_wrap.cxx.

The documentation for this class was generated from the following file:

- plplot_octaveOCTAVE_wrap.cxx